package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintAuditTypeDesc;

public interface MaintAuditTypeDescService {

	void createMaintAuditTypeDesc(MaintAuditTypeDesc maintAuditTypeDesc);

	void updateMaintAuditTypeDesc(MaintAuditTypeDesc maintAuditTypeDesc);

	MaintAuditTypeDesc getMaintAuditTypeDesc(Integer legalEntityCode, String auditTypeCode);


	DataTableResponse getMaintAuditTypeDesc(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);

	List<MaintAuditTypeDesc> getMaintAuditTypeDescByLegalEntityCode(Integer legalEntityCode);
	
	List<MaintAuditTypeDesc> getAuditTypeByLEAndUser(Integer legalEntityCode,String userId,String role);

}
